DataCubeControllerQueryDataCubeInfos Method |
GET /DataCube/QueryDataCubeInfos/
Gets the collection of
DataCubeInfoData for the specified project and tenant ID.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("QueryDataCubeInfos")]
public IActionResult QueryDataCubeInfos(
Guid? projectId = null,
Guid? tenantId = null,
StorageType? storageType = null,
JobRunResult? jobRunResult = null,
Guid? sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("QueryDataCubeInfos")>
Public Function QueryDataCubeInfos (
Optional projectId As Guid? = Nothing,
Optional tenantId As Guid? = Nothing,
Optional storageType As StorageType? = Nothing,
Optional jobRunResult As JobRunResult? = Nothing,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"QueryDataCubeInfos")]
IActionResult^ QueryDataCubeInfos(
Nullable<Guid> projectId = nullptr,
Nullable<Guid> tenantId = nullptr,
Nullable<StorageType> storageType = nullptr,
Nullable<JobRunResult> jobRunResult = nullptr,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("QueryDataCubeInfos")>]
member QueryDataCubeInfos :
?projectId : Nullable<Guid> *
?tenantId : Nullable<Guid> *
?storageType : Nullable<StorageType> *
?jobRunResult : Nullable<JobRunResult> *
?sessionId : Nullable<Guid>
(* Defaults:
let _projectId = defaultArg projectId null
let _tenantId = defaultArg tenantId null
let _storageType = defaultArg storageType null
let _jobRunResult = defaultArg jobRunResult null
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- projectId (Optional)
- Type: SystemNullableGuid
The project ID. Use when requesting information for all projects. - tenantId (Optional)
- Type: SystemNullableGuid
The tenant ID. Use when requesting information for all tenants. - storageType (Optional)
- Type: SystemNullableStorageType
The storage type by which to filter the data cubes. - jobRunResult (Optional)
- Type: SystemNullableJobRunResult
The job result by which to filter the data cubes. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
IActionResult
An array of
DataCubeInfoData object, or a status code indicating the problem.
See Also